# Type alias PlatformNativeChainIdToNetworkChainPair<P, CI>

PlatformNativeChainIdToNetworkChainPair<P, CI>: PlatformToChains<P> extends infer C
? ReturnType<typeof nativeChainIdToNetworkChain>[number] extends infer NCP
? NCP extends readonly [Network, C]
? NCP
: never
: never
: never

#### Type Parameters

- #### P extends Platform

- #### CI extends nativeChainIds.PlatformToNativeChainIds<P>

- Defined in core/base/src/constants/nativeChainIds.ts:264

Generated using TypeDoc